%define	name	starfighter
%define	oname	Starfighter
%define	version	1.1
%define	release	1mdk
%define	Summary	Project: Starfighter

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.parallelrealities.co.uk/starfighter.php
Source0:	%{name}-%{version}-1.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch0:		%{name}-1.1-mdkconf.patch.bz2
License:	GPL
Group:		Games/Arcade
Summary:	%{Summary}
BuildRequires:	libSDL-devel libSDL_mixer-devel libSDL_image-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{oname} is a is a Space/Arcade game which uses the SDL
libraries. 

The story:
After decades of war one company, who had gained powerful
supplying both sides with weaponary, steps forwards and
crushes both warring factions in one swift movement.
Using far superior weaponary and AI craft, the company
was completely unstoppable and now no one can stand in
their way. Thousands began to perish under the iron fist
of the company. The people cried out for a saviour, for
someone to light this dark hour... and someone did.

Features:

26 missions over 4 star systems
Primary and Secondary Weapons (including a laser cannon and a charge
weapon) 
A weapon powerup system
Wingmates
Missions with Primary and Secondary Objectives
A Variety of Missions (Protect, Destroy, etc)
13 different music tracks
Boss battles

%prep
%setup -q
%patch0 -p1 -b .orig

%build
%make DATADIR="%{_gamesdatadir}/%{name}/" OPTFLAGS="$RPM_OPT_FLAGS -O3"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std DATADIR="$RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/" BINDIR="$RPM_BUILD_ROOT%{_gamesbindir}/"

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="%{Summary}"\
		longtitle="%{Summary}"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,games,755)
%doc docs/*
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,games,755)
%{_gamesbindir}/*

%changelog
* Mon Sep 01 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-1mdk
- 1.1
- license is now GPL
- regenerated P0

* Sun Aug 03 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.00-5mdk
- changed description (thx, Adam Williamson & Charles A. Edwards)

* Sat Aug 02 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.00-4mdk
- corrected url

* Mon Jun 02 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.00-3mdk
- change summary to macro to avoid the use of the -debug package's summary
  in menu item

* Wed May 28 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.00-2mdk
- fix summary and name, it's Project: Starfighter not only Starfighter

* Wed May 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.00-1mdk
- initial mdk release
